View Issue Details

IDProjectCategoryView StatusLast Update
0000483Cinelerra-GG[All Projects] Bugpublic2020-07-31 01:10
Reportersge Assigned ToPhyllisSmith  
PrioritylowSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version2020-04 
Target VersionFixed in Version 
Summary0000483: Inconsistency in the documentation of the 'Motion' plugin, parameter 'Settling speed'
DescriptionIn CinelerraGG_Manual.pdf, section 9.9.50 Motion, paragraph 'Settling speed' the following is written:
Settling speed The motion detected between every frame can be accumulated to form an absolute motion vector. If the settling speed is 100 the absolute vector is added to the next frame. If the settling speed is less than 100 the absolute vector is downscaled by the settling amount before being added to the next frame.

But in the plugin code the following expressions are used:
For translation:
        total_dx = (int64_t)total_dx * (100 - config.return_speed) / 100;
        total_dy = (int64_t)total_dy * (100 - config.return_speed) / 100;
For rotation:
        total_angle = total_angle * (100 - config.rotate_return_speed) / 100;

It follows that the Cinelerra manual describes the opposite behavior. The following should be documented to reflect the actual functionality (just an example, look also the documentation for the Motion51 plugin):
Settling speed: The motion detected between every frame can be accumulated to form an absolute motion vector. Settling speed determines how fast the accumulated translation fades away, and the image resettles to its actual appearance. If the settling speed is 0% the total absolute vector is added to the next frame. So every frame that is processed accumulates the whole motion of the past. If the settling speed is 100% the absolute vector is cancelled completely, adding no past translation to the next frame. If the settling speed is intermediate between 0% and 100% the absolute vector is downscaled by (100 - settling amount) before being added to the next frame.
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2020-07-31 01:10

manager   ~0003855

Closed per user request.
Andrea_Paz

Andrea_Paz

2020-07-27 14:16

updater   ~0003849

I suggest we leave the ticket open a little longer. Please sge, if you find other parts to modify/improve, let us know. Your analysis is deep and precise, it is important to improve the manual (and CinGG).
sge

sge

2020-07-27 14:08

reporter   ~0003848

I have read this in the current version of the Manual, thanks for the revision.
Please close this issue!
PhyllisSmith

PhyllisSmith

2020-07-26 22:30

manager   ~0003841

@sge
It has been corrected and the revised Settling Speed for Motion is now on the website Manual version as Andre fixed. Thanks for the revision!
sge

sge

2020-07-26 17:03

reporter   ~0003840

OK, I meant the following.
The documentation for the 'Motion51' plugin is correct already.
The documentation for the 'Motion' plugin, parameter 'Settling speed' states the opposite to its actual function.
The functionalities of the 'Motion' plugin parameter 'Settling speed' and of the 'Motion51' plugin parameter 'Shake fade' are identical.
Therefore, the 'Motion' plugin parameter 'Settling speed' may be documented in a similar way to the 'Motion51' plugin parameter 'Shake fade', should such an explanation look more convenient or easier understandable.
PhyllisSmith

PhyllisSmith

2020-07-26 16:06

manager   ~0003839

I will correct the manual for the Motion and Motion51 plugins based on confirmation from GG so I get it right.

Issue History

Date Modified Username Field Change
2020-07-26 12:36 sge New Issue
2020-07-26 16:06 PhyllisSmith Assigned To => PhyllisSmith
2020-07-26 16:06 PhyllisSmith Status new => confirmed
2020-07-26 16:06 PhyllisSmith Note Added: 0003839
2020-07-26 17:03 sge Note Added: 0003840
2020-07-26 22:30 PhyllisSmith Note Added: 0003841
2020-07-27 14:08 sge Note Added: 0003848
2020-07-27 14:16 Andrea_Paz Note Added: 0003849
2020-07-31 01:10 PhyllisSmith Status confirmed => closed
2020-07-31 01:10 PhyllisSmith Resolution open => fixed
2020-07-31 01:10 PhyllisSmith Note Added: 0003855